property pSoundChannel, pRange, pSliderBottom, pDeltaFactor, pMySprite, pFlag

on getPropertyDescriptionList me
  pdlist = [#pSoundChannel: [#comment: "Which Sound Channel", #format: #integer, #default: 1, #range: [#min: 1, #max: 8]]]
  return pdlist
end

on beginSprite me
  pMySprite = me.spriteNum
  myTroughSprite = pMySprite - 1
  pRange = the width of sprite myTroughSprite
  put pRange
  pSliderBottom = the right of sprite myTroughSprite
  pDeltaFactor = 256 / pRange
  adjustVolume(me)
  pFlag = 0
end

on mouseDown me
  pFlag = 1
end

on mouseUp me
  pFlag = 0
end

on mouseUpOutSide me
  pFlag = 0
end

on enterFrame me
  if pFlag = 1 then
    if (the mouseH <= pSliderBottom) and (the mouseH >= (pSliderBottom - pRange)) then
      set the locH of sprite pMySprite to the mouseH
      adjustVolume(me)
    end if
  end if
end

on adjustVolume me
  myLocH = the locH of sprite pMySprite
  sliderChange = pSliderBottom - myLocH
  set the volume of sound pSoundChannel to sliderChange * pDeltaFactor
end
